Package: org.apache.groovy.groovysh.jline

## [Java] Class GroovyPosixCommands

- org.apache.groovy.groovysh.jline.GroovyPosixCommands

-     public class GroovyPosixCommands
      extends org.jline.builtins.PosixCommands

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.jline.builtins.PosixCommands` | `DEFAULT_LS_COLORS, DEFAULT_GREP_COLORS`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `cat(Context context, String[] argv)`
    `` | `public static void` | `ls(Context context, String[] argv)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.jline.builtins.PosixCommands` | `org.jline.builtins.PosixCommands#applyStyle(java.lang.String, java.util.Map, [Ljava.lang.String;), org.jline.builtins.PosixCommands#applyStyle(org.jline.utils.AttributedStringBuilder, java.util.Map, [Ljava.lang.String;), org.jline.builtins.PosixCommands#cat(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#cd(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#cd(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;, java.util.function.Consumer), org.jline.builtins.PosixCommands#clear(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#date(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#echo(org.jline.builtins.PosixCommands$Context, [Ljava.lang.Object;), org.jline.builtins.PosixCommands#echo(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#equals(java.lang.Object), org.jline.builtins.PosixCommands#getClass(), org.jline.builtins.PosixCommands#getColorMap(java.lang.String), org.jline.builtins.PosixCommands#getColorMap(java.util.function.Function, java.lang.String, java.lang.String), org.jline.builtins.PosixCommands#getColorMap(org.jline.builtins.PosixCommands$Context, java.lang.String, java.lang.String), org.jline.builtins.PosixCommands#getLsColorMap(java.lang.String), org.jline.builtins.PosixCommands#getLsColorMap(org.jline.builtins.PosixCommands$Context), org.jline.builtins.PosixCommands#grep(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#hashCode(), org.jline.builtins.PosixCommands#head(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#less(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#ls(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#nano(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#notify(), org.jline.builtins.PosixCommands#notifyAll(), org.jline.builtins.PosixCommands#pwd(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#sleep(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#sort(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#tail(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#toString(), org.jline.builtins.PosixCommands#ttop(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#wait(), org.jline.builtins.PosixCommands#wait(long), org.jline.builtins.PosixCommands#wait(long, int), org.jline.builtins.PosixCommands#watch(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;), org.jline.builtins.PosixCommands#watch(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;, org.jline.builtins.PosixCommands$CommandExecutor), org.jline.builtins.PosixCommands#wc(org.jline.builtins.PosixCommands$Context, [Ljava.lang.String;)`

- - ### Method Detail

    - #### public static void cat(Context context, String[] argv)

    - #### public static void ls(Context context, String[] argv)